/* Resultados de la busqueda por fecha */
.fecha-card {
  background-color: #f7f7f7;
  margin: 1rem 0;
}

.fecha-numero {
  padding: 0.8rem 1.2rem;
  background-color: #222a59;
}

.fecha-numero p {
  margin-bottom: 0;
  line-height: 1;
  text-align: center;
  color: white;
}

.fecha-numero span {
  font-size: 30px;
}

.fecha-descripcion {
  padding: 0.8rem 0rem;
}
.fecha-descripcion p {
  margin-bottom: 0;
}

/* Calendario */
.calendar * {
  box-sizing: border-box;
  font-family: "Montserrat", "FontAwesome";
  font-size: 14px;
}

.calendar {
  height: auto;
  margin-bottom: 0rem;
  overflow: hidden;
  width: 100%;
}

.c-event-grid,
.c-grid {
  box-shadow: none;
  float: left;
}

/* Contenido de la izquierda */
.c-grid {
  width: 380px;
}

.calendar .c-grid-title {
  background-color: #222a59;
  height: 50px;
  font-weight: 600;
}

.c-previous {
  border-radius: 8px 0 0;
}

.c-next {
  border-radius: 0 8px 0 0;
}

.c-previous,
.c-next,
.c-month {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
}
.c-previous i,
.c-next i {
  font-size: 18px;
}

/* Dias del calendario */
.c-week-day {
  background-color: #405ca4;
  color: #fff;
  font-size: 14px;
  float: left;
  font-weight: 400;
  height: 25px;
  margin-bottom: 10px;
  padding-top: 3px !important;
  text-align: center;
  width: 14.285%;
}

/* Numeritos del calendario */
.calendar .c-pad-top {
  padding: 0;
}

/* Para todos los dias */
.c-day,
.c-day-next-month,
.c-day-previous-month {
  background-color: #fff;
  border-radius: 50px;
  color: #8d8d8d;
  font-size: 14px;
  font-weight: 500;
  height: 52px;
  line-height: 52px;
  margin: 3px 0;
  position: relative;
  transition: 0.3s;
}

/* Dias previos y siguientes de otros meses */
.c-day-next-month,
.c-day-previous-month {
  background-color: #fff;
  color: #dedede;
  float: left;
  height: 13%;
  text-align: center;
  width: 14.28%;
}

.c-event {
  border: 2px solid #222a59;
  color: #383838;
  line-height: 48px;
}

/* Para todos los vencimientos*/
.c-day.c-pad-top.c-event {
  background-color: #f7f7f7;
  border-color: #9e9e9e;
}

.c-grid .c-event-over {
  background-color: #222a59 !important;
  font-weight: bold;
  color: #fff;
  border: 2px solid #222a59 !important;
}

/* para el dia en curso */
.c-grid .c-today.c-event {
  background-color: #222a59;
  font-weight: bold;
  color: #fff;
  border: 2px solid #222a59 !important;
}

/* Grilla de la derecha */
.c-event-grid {
  margin-left: 30px;
  width: calc(100% - 420px);
}
.c-event-grid,
.c-grid {
  box-shadow: none;
  float: left;
}

.c-event-body {
  background-color: #f7f7f7;
  height: 88.1%;
  border-radius: 8px;
  overflow: hidden;
}

.c-event-list {
  max-height: 435px;
}
.c-event-list {
  height: 95%;
  overflow: auto;
  padding: 0;
}

.calendar .c-event-title.c-pad-top {
  padding: 1rem 0;
  display: none;
}

.c-event-title {
  width: 100%;
  height: 50px;
  text-align: center;
  font-weight: 600;
  font-size: 16px;
  background-color: #222a59;
  color: white;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  line-height: 1.2;
}

.c-event-grid .c-event-item {
  border-bottom: 1px solid #efefef;
  border-left: 4px solid #8e99b3;
  margin-bottom: 0 !important;
  padding: 15px 10px;
  position: relative;
  transition: background-color 0.3s, border 0.3s, color 0.3s;
  width: 100%;
}

.c-event-grid .c-event-over {
  background-color: #dfdfdf;
  font-weight: bold;
  color: #222a59;
  border-left: 4px solid #222a59;
}

.c-event-item > .title {
  text-overflow: initial;
  width: 100%;
  overflow: visible;
  margin-right: 4px;
  font-weight: 600;
  white-space: normal;
}
.c-event-item > .description {
  text-overflow: initial;
  width: 100%;
  overflow: visible;
  padding-right: 8px;
  font-weight: 400;
  white-space: normal;
}

/* Barra de scroll */
.c-event-list::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}

.c-event-list::-webkit-scrollbar-track {
  background: #f1f1f1;
}

.c-event-list::-webkit-scrollbar-thumb,
.c-event-list::-webkit-scrollbar-thumb:hover {
  background: #bebebe;
}

@media (max-width: 525px) {
  .fecha-numero p {
    text-align: left;
    font-size: 22px;
  }
  .fecha-descripcion {
    padding: 0.8rem 1.2rem;
  }
  .c-grid {
    width: 100%;
    margin-bottom: 1rem;
  }
  .c-event-grid {
    margin-left: 0;
    width: 100%;
  }
}
@media (max-width: 375px) {
  .c-day {
    height: 45px;
    line-height: 41px;
  }
}
@media (max-width: 320px) {
  .c-day {
    height: 36px;
    line-height: 33px;
  }
}
